JMAP API Reference
Serverless Inbox implements JMAP (RFC 8620) and JMAP for Mail (RFC 8621).
Protocol overview
Section titled “Protocol overview”Endpoint: POST /jmap
All requests use a single endpoint. The body is a JSON object containing a using array (capability URIs) and a methodCalls array. Each method call is a 3-tuple [methodName, arguments, clientId].
Supported capabilities:
urn:ietf:params:jmap:coreurn:ietf:params:jmap:mailurn:ietf:params:jmap:submission
Result references
Section titled “Result references”Method arguments can reference a previous result in the same request by prefixing the argument key with #. For example, pass "#ids": { "resultOf": "r1", "name": "Email/query", "path": "/ids" } to use the ids from an Email/query call with client ID r1.
Methods
Section titled “Methods”| Method | Object type | Verb |
|---|---|---|
Mailbox/get | Mailbox | get |
Mailbox/changes | Mailbox | changes |
Email/get | get | |
Email/changes | changes | |
Email/query | query | |
Email/queryChanges | queryChanges | |
Email/set | set | |
Thread/get | Thread | get |
Mailbox/set | Mailbox | set |
Mailbox/query | Mailbox | query |
Email/import | import | |
Email/copy | copy | |
Email/parse | parse | |
Thread/query | Thread | query |
Thread/changes | Thread | changes |
EmailSubmission/get | EmailSubmission | get |
EmailSubmission/set | EmailSubmission | set |
EmailSubmission/query | EmailSubmission | query |
EmailSubmission/queryChanges | EmailSubmission | queryChanges |
EmailSubmission/changes | EmailSubmission | changes |
Identity/get | Identity | get |
Identity/set | Identity | set |
Identity/changes | Identity | changes |